
/***********************
 * LIENS EDITABLES *
 * @event ONCLICK
 */	
 

$(document).ready(function() 
{
    $.fn.editable.defaults.mode = 'inline';
	
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		params: {'typeAjx': 13},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}		
	});
	
	$('.editable-item-time').editable({
		type: 'combodate',
		template: 'HH : mm ',
        format: 'HH:mm',
        viewformat: 'HH:mm',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		params: {'typeAjx': 13},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}			
	});	
	
	/********/

	$('.editable-item-jours').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
        prepend: 'Choisir ...',
		send: 'always',
		params: {'typeAjx': 13},
        source: [
			{value: 1, text: 'Lundi'},
			{value: 2, text: 'Mardi'},
			{value: 3, text: 'Mercredi'},
			{value: 4, text: 'Jeudi'},
			{value: 5, text: 'Vendredi'},
			{value: 6, text: 'Samedi'},
			{value: 7, text: 'Dimanche'},
        ],
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}			
	});	
	
	
	/******/
	
	$('.editable-item-select').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
        prepend: 'Choisir ...',
		send: 'always',
		params: {'typeAjx': 13},
		source: function() 
		{
			var result;
			var dataAjx = $(this).attr('data-ajx');
			
			$.ajax({
				url: '/scm/ajax/global.ajx.php',
				data: {'typeAjx': dataAjx, 'select': true},
				type: 'POST',
				global: false,
				async: false,
				dataType: 'json',
				success: function(data){ result = data; }
			});
			return result;
		},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}			
	});		
	
});


/***********************
 * VALIDATION DU FORMULAIRE *
 * Ajoute un grade *
 * @event ONSUBMIT
 */	

$('.formStd').live('submit',function(e) 
{
	e.preventDefault();
	
	var input = $(this).find('input,select,textarea');
	var datas = $(input).serialize();
	var dest  = $(this).attr('id');
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx=13&'+datas,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{
				$('.listeCours').append(data['append']); 

				alertify.set('notifier','position', 'top-left');
				alertify.success(data['reponse']);
				
				location.reload();
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});	
});


/***********************
 * SUPPRIME UN COURS *
 * @event ONCLICK
 */

$('.listeCours a.del').live('click',function()
{
	var pk = $(this).parents('tr').find('a.editable').attr('data-pk');
	
	swal({
		title: 'Supprimer cette ligne ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=13&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/cours/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});