
 /****************************
 * CHAMPS DU TABLEAU EDITABLE *
 * @event ONCLICK
 */
 
$.fn.editable.defaults.mode = 'inline';

// INPUT EDITABLE
$('.editable-item-text').editable({
	type: 'text',
	url: '/scm/ajax/global.ajx.php',
	send: 'always',
	dataType: 'json',
	showbuttons: false,
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}
}).on('shown',function(e,editable)
{
	if(editable) 
	{
		// Texte séléctionné par défaut
		editable.input.postrender = function(){	editable.input.$input.select(); };
		
		// Changement à l'input suivant par TAB
		editable.input.$input.on('keydown', function(e) 
		{
			if(e.type=='keydown' && e.which == 9) 
			{
				e.preventDefault();
				console.log('this', this);
				var next = nextField($(this), e.shiftKey);
				var form = $(this).closest("td").find("form");
				form.submit();
				
				if(form.has('div.has-error').length > 0)
				{
					console.log("Found error, cancel !");
				} 
				else
				{
					next.editable('show');
				}
			}
		});
	}
});

/**************/

// SELECT EDITABLE
$('.editable-item-select').editable({
	type: 'select',
	url: '/scm/ajax/global.ajx.php',
	prepend: 'Choisir ...',
	send: 'always',
	dataType: 'json',
	showbuttons: false,	
	source: function() 
	{
		var result;
		var dataAjx = $(this).attr('data-ajx');
		
		$.ajax({
			url: '/scm/ajax/global.ajx.php',
			data: {'typeAjx': dataAjx, 'select': true},
			type: 'POST',
			global: false,
			async: false,
			dataType: 'json',
			success: function(data){ result = data; }
		});
		return result;
	},
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}			
}).on('shown',function(e,editable)
{
	if(editable) 
	{
		// Texte séléctionné par défaut
		editable.input.postrender = function(){	editable.input.$input.select(); };
		
		// Changement à l'input suivant par TAB
		editable.input.$input.on('keydown', function(e) 
		{
			if(e.type=='keydown' && e.which == 9) 
			{
				e.preventDefault();
				console.log('this', this);
				var next = nextField($(this), e.shiftKey);
				var form = $(this).closest("td").find("form");
				form.submit();
				
				if(form.has('div.has-error').length > 0)
				{
					console.log("Found error, cancel !");
				} 
				else
				{
					next.editable('show');
				}
			}
		});
	}
});

/****************************
 * AJOUTE UN NOUVEAU MEMBRE *
 * @event ONCLICK
 */

$('#addMembre').live('click',function(e)
{
	e.preventDefault();
	
	var tab  		= $('#addMembreTab tr:first');
	var code 		= $(this).attr('data-code');
	var appendTxt 	= '';
	
	appendTxt += '<tr class="new"><td>'+code+'</td>';
	appendTxt += '<td>-</td>';
	appendTxt += '<td><a class="editable-item-text" data-name="prenom" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Prénom</a></td>';
	appendTxt += '<td><a class="editable-item-text" data-name="nom" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Nom</a></td>';
	appendTxt += '<td><a class="editable-item-text" data-name="email" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Email</a></td>';
	appendTxt += '<td><a class="editable-item-select" data-ajx="9" data-name="grade" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Grade</a></td>';
	appendTxt += '<td><a class="editable-item-select" data-ajx="12" data-name="adhesion" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Adhesion</a></td>';
	appendTxt += '<td><a class="editable-item-select" data-source="{\'inscrit\':\'Inscrit\',\'actif\':\'Actif\'}" data-name="etat" data-params="{\'typeAjx\':\'11\',\'code\':\''+code+'\'}">Etat</a></td>';
	appendTxt += '<td></td>';
	appendTxt += '</tr>';
	
	$(tab).after(appendTxt);

	// INPUT EDITABLE
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}
	}).on('shown',function(e,editable)
	{
        if(editable) 
		{
			editable.input.postrender = function() 
			{
				editable.input.$input.select();
			};
			
			editable.input.$input.on('keydown', function(e) 
			{
				if(e.which == 9) 
				{
					e.preventDefault();
					console.log('this', this);
					var next = nextField($(this), e.shiftKey);
					var form = $(this).closest("td").find("form");
					form.submit();
					if (form.has('div.has-error').length > 0)
					{
						console.log("Found error, cancel !");
					} 
					else
					{
						next.editable('show');
					}
				}
          });
        }
	});
	
	/***/
		
	// SELECT EDITABLE
	$('.editable-item-select').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
		prepend: 'Choisir ...',
		send: 'always',
		value: $(this).val(),
		dataType: 'json',
		showbuttons: false,	
		source: function() 
		{
			var result;
			var dataAjx = $(this).attr('data-ajx');
			
			$.ajax({
				url: '/scm/ajax/global.ajx.php',
				data: {'typeAjx': dataAjx, 'select': true},
				type: 'POST',
				global: false,
				async: false,
				dataType: 'json',
				success: function(data){ result = data; }
			});
			return result;
		},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}			
	}).on('shown',function(e,editable)
	{
		if(editable) 
		{
			// Texte séléctionné par défaut
			editable.input.postrender = function(){	editable.input.$input.select(); };
			
			// Changement à l'input suivant par TAB
			editable.input.$input.on('keydown', function(e) 
			{
				if(e.type=='keydown' && e.which == 9) 
				{
					e.preventDefault();
					console.log('this', this);
					var next = nextField($(this), e.shiftKey);
					var form = $(this).closest('td').find('form');
					form.submit();
					
					if(form.has('div.has-error').length > 0)
					{
						console.log("Found error, cancel !");
					} 
					else
					{
						next.editable('show');
					}
				}
			});
		}
	});	
	
});

// FOCUS par la touche TABULATION
var nextField = function(el, usePrev)
{
    if(usePrev){ return el.parents().prevAll(':has(.editable:visible):first').find('.editable:last'); } 
	else { return el.parents().nextAll(':has(.editable:visible):first').find('.editable:first'); }
}


/****************************
 * AJOUTE UN NOUVEAU PAIEMENT *
 * @event ONCLICK
 */
 
$('a.addPaie').live('click',function(e)
{
	e.preventDefault();
	
	var code 	= $(this).attr('data-code');	
	var newDate = $.datepicker.formatDate('dd/mm/yy', new Date());
	
	swal({
		title: 'Ajouter des paiements',
		html:
				'<input id="swal-input1" placeholder="Montant du paiement 1" class="swal2-input swal2Input" />' +
				'<select id="swal-input2" class="swal2-select swal2Select"><option value="cb">Carte bleue</option><option value="ep">Espece</option><option value="vr">Virement</option><option value="ch">Chèque</option></select>' + 
				'<input id="swal-input3" placeholder="Date du paiement" class="swal2-input swal2Date" value="'+newDate+'" />'+
				'<hr style="width:50%;margin:15px auto 10px auto;border:none;background:#595959;height:1px;" />'+
				'<input id="swal-input12" placeholder="Montant du paiement 2" class="swal2-input swal2Input" />' +
				'<select id="swal-input22" class="swal2-select swal2Select"><option value="cb">Carte bleue</option><option value="ep">Espece</option><option value="vr">Virement</option><option value="ch">Chèque</option></select>' + 
				'<input id="swal-input32" placeholder="Date du paiement" class="swal2-input swal2Date" value="'+newDate+'" />'+
				'<hr style="width:50%;margin:15px auto 10px auto;border:none;background:#595959;height:1px;" />'+
				'<input id="swal-input13" placeholder="Montant du paiement 3" class="swal2-input swal2Input" />' +
				'<select id="swal-input23" class="swal2-select swal2Select"><option value="cb">Carte bleue</option><option value="ep">Espece</option><option value="vr">Virement</option><option value="ch">Chèque</option></select>' + 
				'<input id="swal-input33" placeholder="Date du paiement" class="swal2-input swal2Date" value="'+newDate+'" />',								
		showCancelButton: true,
		onOpen  : function()
				  {
					$('#swal-input3,#swal-input32,#swal-input33').attr('maxLength',10);
					$('#swal-input3,#swal-input32,#swal-input33').keyup(function(e)
					{
						var chars = [48,49,50,51,52,53,54,55,56,57,96,97,98,99,100,101,102,103,104,105];
						var key=chars.indexOf(e.keyCode);
						console.log(key);
						//if(key==-1)$(this).val($(this).val().substr(0,$(this).val().length-1));
						var value=$(this).val();
						if(value.length==2||value.length==5)$(this).val($(this).val()+'/');
					});
				  },
		confirmButtonText: 'Valider',
		cancelButtonText: 'Annuler',
		showLoaderOnConfirm: true,
		allowOutsideClick: false,
		preConfirm: function () 
		{
			return new Promise(function (resolve) 
			{
			  resolve([
					$('#swal-input1').val(),
					$('#swal-input2').val(),
					$('#swal-input3').val(),
					$('#swal-input12').val(),
					$('#swal-input22').val(),
					$('#swal-input32').val(),
					$('#swal-input13').val(),
					$('#swal-input23').val(),
					$('#swal-input33').val()
			  ])
			})		
		}
	}).then(function(result) 
	{
		swal.resetDefaults();
		var data = JSON.stringify(result);
		
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=18&code='+code+'&data='+data,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/membres/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
		
		  
	}).catch(swal.noop);
	
	return false;
});


/****************************
 * AJOUTE UN NOUVEAU PAIEMENT PAR CB *
 * @event ONCLICK
 */
 
$('a.makePaie').live('click',function(e)
{
	e.preventDefault();
	
	var code 	= $(this).attr('data-code');	
	
	swal({
		title: 'Paiement par CB',
		html:
				'<input id="swal-input1" placeholder="Montant du paiement" class="swal2-input swal2Input" />',
		showCancelButton: true,
		confirmButtonText: 'Valider',
		cancelButtonText: 'Annuler',
		showLoaderOnConfirm: true,
		allowOutsideClick: false,
		preConfirm: function () 
		{
			return new Promise(function (resolve) 
			{
			  resolve([
					$('#swal-input1').val(),
			  ])
			})		
		}
	}).then(function(result) 
	{
		swal.resetDefaults();
		var data = JSON.stringify(result);
		
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=25&code='+code+'&data='+data,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/membres/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
		
		  
	}).catch(swal.noop);
	
	return false;
});


/***********************
 * SUPPRIME UN MEMBRE *
 * @event ONCLICK
 */

$('#addMembreTab a.del').live('click',function()
{
	var pk = $(this).attr('data-pk');
	
	swal({
		title: 'Supprimer ce membre ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler',
		reverseButtons: true,
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=28&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/membres/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});

/**********************
 * Input search
 * @event onKeyUp	
 * @description Recherche dans les membres
 */
 
$('.search').live('keyup',function()
{
    var searchValue = $(this).val();
	var tab			= $(this).parents('table');
	
    setTimeout(function()
	{
        if(searchValue != null && searchValue != "") 
		{
			$(tab).find('tr').not(':eq(0),:eq(1)').hide();
			$(tab).find('tr:contains(\''+searchValue+'\')').show();
        }
		else
		{
			$(tab).find('tr').show();
		}
    },300);	
});


/**********************
 * Input search
 * @event onKeyUp	
 * @description Recherche dans les membres
 */
 
$('.searchType').on('click',function()
{
	var type 		= $(this).attr('data-type');
	var strSearch 	= '';
	var tabSearch 	= [];
	
	// $('.searchType').css('border','none');	
	
	if($(this).attr('data-sel')=='true')
	{
		$(this).attr('data-sel','false');
		$(this).css('border','none');		
		// $('#addMembreTab').find('tr').show();
	}
	else
	{
		// $('.searchType').attr('data-sel','false');
		$(this).css('border','solid 2px #000');
		$(this).attr('data-sel','true');
	}
	
	
	$('.searchType').each(function(id,searchType)
	{
		var dataSel 	= $(searchType).attr('data-sel');
		var type 		= $(searchType).attr('data-type');
		
		if(dataSel=='true')
		{
			tabSearch.push('.theRef a.'+type);			
		}
	});
	
	strSearch = tabSearch.join();
	
	$('#addMembreTab').find('tr').not(':eq(0),:eq(1)').hide();
	$('#addMembreTab').find(strSearch).parents('tr').show();
});

// NEW selector
jQuery.expr[':'].Contains = function(a, i, m) {
  return jQuery(a).text().toUpperCase()
      .indexOf(m[3].toUpperCase()) >= 0;
};

// OVERWRITES old selecor
jQuery.expr[':'].contains = function(a, i, m) {
  return jQuery(a).text().toUpperCase()
      .indexOf(m[3].toUpperCase()) >= 0;
};